apiVersion: serving.kubeflow.org/v1beta1
kind: InferenceService
metadata:
  name: model0
  namespace: madam
spec:
  predictor:
    serviceAccountName: kfserving-sa
    sklearn:
      name: kfserving-container
      storageUri: s3://accountingdata/batch/admon/models/
  transformer:
    containers:
      - image: gitlab-registry.cern.ch/compute-accounting/batch-anomaly-detection/bad-kubeflow/admon-hw-only:latest
        name: kfserving-container
---
apiVersion: v1
kind: ServiceAccount
secrets:
  - name: kfserving-s3-secret
metadata:
  name: kfserving-sa
  namespace: madam
---
apiVersion: v1
kind: Secret
type: Opaque
stringData:
  AWS_ACCESS_KEY_ID: ACCESS_KEY_HERE
  AWS_SECRET_ACCESS_KEY: SECRET_KEY_HERE
metadata:
  name: kfserving-s3-secret
  namespace: madam
  annotations:
    serving.kubeflow.org/s3-endpoint: "s3.cern.ch"
    servinga.kubeflow.org/s3-usehttps: "1"

